# PI_ForwardC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/OctetSeqC.h"`
`#include "tao/StringSeqC.h"`

Include dependency graph for PI_ForwardC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | PortableInterceptor
namespace | TAO

## Defines

#define | TAO_EXPORT_MACRO TAO_Export

## Typedefs

typedef CORBA::String_var | ServerId_var
typedef CORBA::String_out | ServerId_out
typedef CORBA::String_var | ORBId_var
typedef CORBA::String_out | ORBId_out
typedef CORBA::StringSeq_var | AdapterName_var
typedef CORBA::StringSeq_out | AdapterName_out
typedef CORBA::OctetSeq_var | ObjectId_var
typedef CORBA::OctetSeq_out | ObjectId_out
typedef CORBA::Long_out | AdapterManagerId_out
typedef CORBA::Short_out | AdapterState_out
typedef CORBA::ULong_out | SlotId_out
typedef CORBA::Short_out | ReplyStatus_out

## Define Documentation

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef CORBA::Long_out PortableInterceptor::AdapterManagerId_out

typedef CORBA::StringSeq_out PortableInterceptor::AdapterName_out

typedef CORBA::StringSeq_var PortableInterceptor::AdapterName_var

typedef CORBA::Short_out PortableInterceptor::AdapterState_out

typedef CORBA::OctetSeq_out PortableInterceptor::ObjectId_out

typedef CORBA::OctetSeq_var PortableInterceptor::ObjectId_var

typedef CORBA::String_out PortableInterceptor::ORBId_out

typedef CORBA::String_var PortableInterceptor::ORBId_var

typedef CORBA::Short_out PortableInterceptor::ReplyStatus_out

typedef CORBA::String_out PortableInterceptor::ServerId_out

typedef CORBA::String_var PortableInterceptor::ServerId_var

typedef CORBA::ULong_out PortableInterceptor::SlotId_out